Skip to Content
veriom

Repository branches

GET
/v1/workspaces/{workspace_id}/repositories/{repository_id}/branches

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
repository_id*Repository Id
Formatuuid

Query Parameters

cursor?|null
limit?Limit
Range1 <= value <= 100
Default100

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/branches'
Example Response
{  "has_more": false,  "items": [    {      "commit_sha": "string",      "is_default": false,      "name": "string",      "protected": true    }  ],  "next_cursor": "string"}